package dev.peerat.backend.routes.admins.chapter;

import static dev.peerat.framework.RequestType.DELETE;

import java.util.regex.Matcher;

import dev.peerat.backend.repository.DatabaseRepository;
import dev.peerat.framework.Context;
import dev.peerat.framework.HttpReader;
import dev.peerat.framework.HttpWriter;
import dev.peerat.framework.Response;
import dev.peerat.framework.Route;

public class DeleteChapter implements Response{
	
	private DatabaseRepository repo;
	
	public DeleteChapter(DatabaseRepository repo){
		this.repo = repo;
	}
	
	@Route(path = "^/admin/chapter/(\\d+)$", type = DELETE, needLogin = true)
	public void exec(Matcher matcher, Context context, HttpReader reader, HttpWriter writer) throws Exception{
		if(this.repo.adminDeleteChapter(Integer.parseInt(matcher.group(1)))){
			context.response(200);
		}else{
			context.response(501);
		}
	}

}
